## EMailSignatureTreeView EMailSignatureTreeView |

## Functions

GtkWidget * | e_mail_signature_tree_view_new ()
void | e_mail_signature_tree_view_refresh ()
ESourceRegistry * | e_mail_signature_tree_view_get_registry ()
ESource * | e_mail_signature_tree_view_ref_selected_source ()
void | e_mail_signature_tree_view_set_selected_source ()

## Description

## Functions

### e_mail_signature_tree_view_new ()

    GtkWidget *
    e_mail_signature_tree_view_new (ESourceRegistry *registry);

`e_mail_signature_tree_view_new` is deprecated and should not be used in newly-written code.

### e_mail_signature_tree_view_refresh ()

    void
    e_mail_signature_tree_view_refresh (EMailSignatureTreeView *tree_view);

`e_mail_signature_tree_view_refresh` is deprecated and should not be used in newly-written code.

### e_mail_signature_tree_view_get_registry ()

    ESourceRegistry *
    e_mail_signature_tree_view_get_registry
                                   (EMailSignatureTreeView *tree_view);

`e_mail_signature_tree_view_get_registry` is deprecated and should not be used in newly-written code.

### e_mail_signature_tree_view_ref_selected_source ()

    ESource *
    e_mail_signature_tree_view_ref_selected_source
                                   (EMailSignatureTreeView *tree_view);

`e_mail_signature_tree_view_ref_selected_source` is deprecated and should not be used in newly-written code.

### e_mail_signature_tree_view_set_selected_source ()

    void
    e_mail_signature_tree_view_set_selected_source
                                   (EMailSignatureTreeView *tree_view,
                                    ESource *selected_source);

`e_mail_signature_tree_view_set_selected_source` is deprecated and should not be used in newly-written code.

## Types and Values